using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ILoan.Rules.Web.Models.Rules
{
    [Table("Core_RuleCriteria", Schema = "core")]
    public partial class CoreRuleCriterion
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        public int? RuleID { get; set; }

        public CoreRule CoreRule { get; set; }

        public string Property { get; set; }

        public string Comparison { get; set; }

        public string Value { get; set; }

        public bool? ValueIsProperty { get; set; }

        public bool? ReturnCount { get; set; }

        public bool? IsThresholdCriterium { get; set; }
    }
}